Bug 10015 - xnest: server does not support XKEYBOARD extension [regression from 4.1.0]
Summary: xnest: server does not support XKEYBOARD extension [regression from 4.1.0]
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/DDX/Xnest (show other bugs)
Version: 7.2 (2007.02)
Hardware: Other All
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL: http://bugs.debian.org/cgi-bin/bugrep...
Whiteboard:
Keywords:
Depends on:
Blocks: xorg-7.4
  Show dependency treegraph
 
Reported: 2007-02-18 03:56 UTC by Brice Goglin
Modified: 2008-04-22 00:11 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brice Goglin 2007-02-18 03:56:06 UTC
This bug has been reported to the Debian BTS 4 years ago by Sean Neakums regarding XFree86 4.2.1 and is still valid for Xorg 7.2.

Whether I start Xnest with no options, with -kb or with +kb, I cannot
seem to get the XKEYBOARD extension.  It's not listed in xdpyinfo
output. According to the submitter, it used to work with XFree86 4.1.0.
This keymap problem makes Xnest pretty hard to use for keyboards
all over the world other than US.

It seems to work fine with Xephyr +kb. I understand that Xephyr should be preferred to Xnest, so this bug might never be closed. But at least it will be known.

Thanks.
Comment 1 Daniel Stone 2007-02-27 01:36:29 UTC
Sorry about the phenomenal bug spam, guys.  Adding xorg-team@ to the QA contact so bugs don't get lost in future.
Comment 2 Peter Hutterer 2008-04-22 00:11:23 UTC
XKB was disabled with 

commit 08928afb0500d46b0caa0a1d1244dee2ed80e6a0
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Mon Oct 23 02:51:52 2006 +0300

    Xnest: disable XKB, reshuffle code
    Disable XKB, as we can't yet use it; move Composite disabling to
    ddxInitGlobals, along with XKB.


re-enabled now, pushed as 2ddbfd345786aa39b6ccaed82a1ca5c145284ee3.
Tested with a gnome-session, and it seems to work. 


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.